org.jboss.jca.core.rar

## Class EndpointImpl

- java.lang.Object
- - org.jboss.jca.core.rar.EndpointImpl

- All Implemented Interfaces:
    org.jboss.jca.core.spi.rar.Endpoint

      public class EndpointImpl
      extends java.lang.Object
      implements org.jboss.jca.core.spi.rar.Endpoint

  An endpoint representation
  Author:
    Jesper Pedersen

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `activate(javax.resource.spi.endpoint.MessageEndpointFactory endpointFactory, javax.resource.spi.ActivationSpec spec)` Activate an endpoint
    `void` | `deactivate(javax.resource.spi.endpoint.MessageEndpointFactory endpointFactory, javax.resource.spi.ActivationSpec spec)` Deactivate an endpoint

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### activate

          public void activate(javax.resource.spi.endpoint.MessageEndpointFactory endpointFactory,
                               javax.resource.spi.ActivationSpec spec)
                        throws javax.resource.ResourceException

      Activate an endpoint
      Specified by:
        `activate` in interface `org.jboss.jca.core.spi.rar.Endpoint`
      Parameters:
        `endpointFactory` - The message endpoint factory that should be used for the endpoint
        `spec` - The activation spec that should be used for the endpoint
      Throws:
        `javax.resource.ResourceException` - Thrown if an error occurs

    - #### deactivate

          public void deactivate(javax.resource.spi.endpoint.MessageEndpointFactory endpointFactory,
                                 javax.resource.spi.ActivationSpec spec)
                          throws javax.resource.ResourceException

      Deactivate an endpoint
      Specified by:
        `deactivate` in interface `org.jboss.jca.core.spi.rar.Endpoint`
      Parameters:
        `endpointFactory` - The message endpoint factory that should be used for the endpoint
        `spec` - The activation spec that should be used for the endpoint
      Throws:
        `javax.resource.ResourceException` - Thrown if an error occurs

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)